> ## Documentation Index
> Fetch the complete documentation index at: https://docs.learningcommons.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Assessments in a course

> Fetches assessments for a course with optional filtering by lesson or lesson grouping.

Assessments can be associated with different levels of the curriculum hierarchy:
- **Course-level**: All assessments in the course
- **Lesson grouping-level**: Assessments for a unit, section, or module (e.g., "End-of-Unit Assessment")
- **Lesson-level**: Assessments specific to a lesson

Use this endpoint when you need to:
- Get all assessments for a course
- Find assessments for a specific lesson grouping (unit, section, module)
- Find assessments for a specific lesson
- Build assessment reports or tracking systems

**Note:** You cannot provide both `lessonId` and `lessonGroupingId` in the same request.




## OpenAPI

````yaml /api-reference/knowledge-graph-api/openapi.yaml get /assessments
openapi: 3.0.3
info:
  title: Learning Commons Knowledge Graph REST API
  description: >
    REST API for accessing education knowledge graph data including academic
    standards, learning components, and curriculum information.


    **Key datasets:**

    - **Academic standards**: Official state standards from all 50 U.S. states
    sourced from 1EdTech's CASE Network

    - **Curriculum**: Structured course content including courses, lesson
    groupings (units, sections, modules), lessons, activities, and assessments

    - **Learning components**: Granular, teachable skills that break down broad
    standards into actionable instructional units

    - **Relationships**: Hierarchical and semantic connections between
    standards, learning components, and frameworks


    **Learn more:**

    - [Knowledge Graph
    Overview](/knowledge-graph/understanding-knowledge-graph/about-knowledge-graph)

    - [Academic Standards
    Dataset](/knowledge-graph/entity-and-relationship-reference/academic-standards)

    - [Learning Components
    Dataset](/knowledge-graph/entity-and-relationship-reference/learning-components)

    - [Quick Start Guide](/knowledge-graph/getting-started/quickstart)
  version: '0'
servers:
  - url: https://api.learningcommons.org/knowledge-graph/v0
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Academic standards
    description: Academic standards operations
  - name: Curriculum
    description: Curriculum and course operations
  - name: Hierarchy
    description: Hierarchical navigation operations
  - name: Learning components
    description: Learning component operations
  - name: Learning progressions
    description: Learning progression and prerequisite relationships
  - name: Search
    description: Search and discovery operations
  - name: Standards crosswalks
    description: Standards crosswalk operations
  - name: Standards frameworks
    description: Standards frameworks operations
paths:
  /assessments:
    get:
      tags:
        - Curriculum
      summary: Assessments in a course
      description: >
        Fetches assessments for a course with optional filtering by lesson or
        lesson grouping.


        Assessments can be associated with different levels of the curriculum
        hierarchy:

        - **Course-level**: All assessments in the course

        - **Lesson grouping-level**: Assessments for a unit, section, or module
        (e.g., "End-of-Unit Assessment")

        - **Lesson-level**: Assessments specific to a lesson


        Use this endpoint when you need to:

        - Get all assessments for a course

        - Find assessments for a specific lesson grouping (unit, section,
        module)

        - Find assessments for a specific lesson

        - Build assessment reports or tracking systems


        **Note:** You cannot provide both `lessonId` and `lessonGroupingId` in
        the same request.
      operationId: listAssessments
      parameters:
        - name: courseId
          in: query
          required: true
          description: The unique identifier of the course
          schema:
            type: string
        - name: lessonId
          in: query
          required: false
          description: >-
            Filter to assessments for a specific lesson (cannot be used with
            lessonGroupingId)
          schema:
            type: string
        - name: lessonGroupingId
          in: query
          required: false
          description: >-
            Filter to assessments for a specific lesson grouping (cannot be used
            with lessonId)
          schema:
            type: string
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/CursorParam'
      responses:
        '200':
          description: Successfully retrieved list of assessments
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Assessment'
              example:
                data:
                  - identifier: im:d540d085-5435-5b3c-875b-9c810a18d81a
                    name: Practice Problems
                    academicSubject: Mathematics
                    gradeLevel:
                      - '4'
                      - elementary_school
                    author: Illustrative Mathematics
                    provider: Learning Commons
                    inLanguage: English
                    educationalUse: assessment
                    audience:
                      - Teacher
                      - Student
                      - Family
                    license: https://creativecommons.org/licenses/by-nc/4.0/
                    curriculumLabel: Practice Problems
                    lmsLoadingGuidance: unspecified
                    isOptional: false
                    courseCode: im360:4
                    studentGroupingType: individual
                    dateCreated: '2021-04-30'
                pagination:
                  limit: 100
                  nextCursor: null
                  hasMore: false
        '400':
          description: >-
            Bad request - Invalid query parameters or both lessonId and
            lessonGroupingId provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: ValidationError
                message: Cannot provide both lessonId and lessonGroupingId
                requestId: req_12345
        '404':
          description: Course, lesson, or lesson grouping not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: NotFoundError
                message: Course with identifier 'im:invalid-id' not found
                requestId: req_12345
        '422':
          description: Unprocessable Entity - Missing required courseId parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: ValidationError
                message: 'Field required: courseId'
                requestId: req_12345
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: InternalServerError
                message: An unexpected error occurred while retrieving assessments
                requestId: req_12345
components:
  parameters:
    LimitParam:
      name: limit
      in: query
      required: false
      description: >-
        Maximum number of results to return. Default is 100. Maximum allowed is
        1000.
      schema:
        type: integer
        minimum: 1
        maximum: 1000
        default: 100
    CursorParam:
      name: cursor
      in: query
      required: false
      description: >-
        Cursor for pagination. Obtain this value from the 'nextCursor' field in
        the previous response. Omit for the first page.
      schema:
        type: string
  schemas:
    PaginatedResponse:
      type: object
      description: Generic cursor-based paginated response wrapper
      required:
        - data
        - pagination
      properties:
        data:
          type: array
          description: Array of result items
          items:
            type: object
        pagination:
          type: object
          description: Cursor-based pagination metadata
          required:
            - limit
            - hasMore
          properties:
            limit:
              type: integer
              description: Maximum number of results returned per page
            nextCursor:
              type: string
              nullable: true
              description: >-
                Cursor for fetching the next page. Null if no more results
                available. Pass this value as the 'cursor' parameter in the next
                request.
            hasMore:
              type: boolean
              description: >-
                Indicates whether there are more results available after this
                page
    Assessment:
      type: object
      description: >
        An assessment evaluates a student's understanding or mastery of
        knowledge, skills, or competencies through structured tasks or
        questions.
      required:
        - identifier
        - author
        - provider
        - license
      properties:
        identifier:
          type: string
          description: The unique identifier of the assessment
        name:
          type: string
          description: The name of the assessment
        academicSubject:
          type: string
          description: The academic subject
        gradeLevel:
          type: array
          items:
            type: string
          description: >-
            Specifies the educational grades for which the assessment is
            intended
        author:
          type: string
          description: The author of the assessment
        provider:
          type: string
          description: The service provider or service operator
        inLanguage:
          type: string
          description: The language of the content
        educationalUse:
          type: string
          description: The educational use of the assessment
        audience:
          type: array
          items:
            type: string
          description: Specifies the intended audience for the assessment
        license:
          type: string
          description: >-
            A license document that applies to this content, typically indicated
            by URL
        curriculumLabel:
          type: string
          description: A curriculum-specific categorization of the resource
        lmsLoadingGuidance:
          type: string
          description: LMS loading guidance for this assessment
        isOptional:
          type: boolean
          description: Whether the assessment is optional to complete
        courseCode:
          type: string
          description: The identifier for the course used by the course provider
        publisherIdentifier:
          type: string
          nullable: true
          description: The identifier assigned to this resource by its publisher
        studentGroupingType:
          type: string
          description: >-
            Describes intended grouping structure for student participation
            (e.g., "individual", "pair", "small_group")
        timeRequired:
          type: string
          nullable: true
          description: >-
            Approximate or typical time it usually takes to work with or through
            the assessment (ISO 8601 duration format)
        dateCreated:
          type: string
          format: date
          description: The date on which the assessment was created
        attributionStatement:
          type: string
          description: A human-readable attribution statement for this assessment
    Error:
      type: object
      description: Standard error response object returned for all error conditions
      required:
        - error
        - message
        - requestId
      properties:
        error:
          type: string
          description: >-
            A machine-readable error type identifier (e.g., ValidationError,
            NotFoundError, InternalServerError)
        message:
          type: string
          description: >-
            A human-readable error message that explains what went wrong and may
            include actionable guidance
        requestId:
          type: string
          description: >-
            A unique identifier for this request, useful for debugging and
            support
        details:
          type: object
          description: >-
            Optional additional details about the error, such as validation
            failures or field-specific issues
          additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Include your API key in the x-api-key header
        for all requests.

````